Vsan File Service System Vsan Cluster Query Fs Domains

Vsan File Service System Vsan Cluster Query Fs Domains
Lists all file service domains in the vSAN cluster.

Lists all file service domains in the vSAN cluster.

To list all the file service domains, leave both the uuids and names field empty. Otherwise the return result will be a set of file service domains matches the domain UUID or domain name provided in the parameters. If both fields are provided, only those file service domain with both domain name and domain UUID matched will be returned.

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanFileServiceSystem/{moId}/VsanClusterQueryFsDomains
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanFileServiceSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
VsanClusterQueryFsDomainsRequestType of type(s) application/json
Optional
{
    "querySpec": {
        "_typeName": "string",
        "uuids": [
            "string"
        ],
        "names": [
            "string"
        ]
    },
    "cluster": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
querySpec
Optional

The specifications of the file service domains to be queried.

cluster
Optional

The target cluster. Ignored when called on ESXi hosts.

Required privileges: System.Read

Authentication
This operation uses the following authentication methods.
Responses
200

List of all the domain information on this host.

[
    {
        "_typeName": "string",
        "uuid": "string",
        "config": {
            "_typeName": "string",
            "name": "string",
            "dnsServerAddresses": [
                "string"
            ],
            "dnsSuffixes": [
                "string"
            ],
            "fileServerIpConfig": [
                {
                    "_typeName": "string",
                    "dhcp": false,
                    "ipAddress": "string",
                    "subnetMask": "string",
                    "ipV6Config": {
                        "_typeName": "string",
                        "ipV6Address": [
                            {
                                "_typeName": "string",
                                "ipAddress": "string",
                                "prefixLength": 0,
                                "origin": "string",
                                "dadState": "string",
                                "lifetime": "string",
                                "operation": "string"
                            }
                        ],
                        "autoConfigurationEnabled": false,
                        "dhcpV6Enabled": false
                    },
                    "fqdn": "string",
                    "isPrimary": false,
                    "gateway": "string",
                    "affinityLocation": "string",
                    "ipv6Gateway": "string"
                }
            ],
            "directoryServerConfig": {
                "_typeName": "string"
            },
            "version": "string"
        }
    }
]
array of object
Optional

VsanFileServiceDomain is the data object type reflecting the properties of a vSAN file service domain.

This type provides the UUID of the file service domain, and its configuration.

This structure may be used only with operations rendered under /vsan.


500

InvalidState: Exception when the file service is not enabled in this cluster.

Returns InvalidState of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/sdk/vim25/{release}/vsan/VsanFileServiceSystem/{moId}/VsanClusterQueryFsDomains